Name:           perl-Text-Reform
Version:        1.12.2
Release:        11%{?dist}
Summary:        Manual text wrapping and reformatting
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-Reform/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/Text-Reform-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
BuildRequires:  perl(version)
BuildRequires:  perl(Test::Pod) >= 1.14 

Requires:       perl(TeX::Hyphen)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The module supplies a re-entrant, highly configurable replacement for the
built-in Perl format() mechanism.

%prep
%setup -q -n Text-Reform-v%{version}
chmod 644 Changes README lib/Text/*.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# the testsuite fails for locales with decimal point != ".", i.e. it
# fails for almost all European languages except en
LC_NUMERIC=C make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri May 14 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.12.2-11
- Bump release for perl-5.12.0.

* Fri May 07 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.12.2-10
- Add BR: perl(version) (Fix perl-5.12.x build breakdown).
- Add BR: perl(Test::Pod).

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.12.2-9
- Mass rebuild with perl-5.12.0

* Wed Feb 17 2010 Stepan Kasal <skasal@redhat.com> - 1.12.2-8
- fix check for non-English languages

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.12.2-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.12.2-4
- Rebuild for perl 5.10 (again)

* Tue Jan 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.12.2-3
- BR: Test::More

* Tue Jan 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.12.2-2
- retag

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.12.2-1
- rebuild for new perl
- drop demo*.pl scripts
- Upstream license changed to GPL+ or Artistic

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 1.11-7
- BR ExtUtils::MakeMaker.
- Use fixperms macro instead of our own chmod incantation.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 0.11-6
- Minor spec cleanup to more closely resemble current cpanspec output.

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.11-5
- Minor spec cleanup.
- Add Artistic.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jul 14 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.11-0.fdr.3
- Better summary info (bug 1353 comment #4).
- Canonical source URL (bug 1353 comment #4).
- Missing requirement: TeX::Hyphen (bug 1353 comment #4).
- Replaced /usr/bin/perl by %%{__perl} (bug 1353 comment #4).
- Corrected file permissions (bug 1353 comment #4).

* Wed Jun 09 2004 Steven Pritchard <steve@kspei.com> 0:1.11-0.fdr.2
- Fix License (Artistic only, not GPL or Artistic).

* Wed Jun 09 2004 Steven Pritchard <steve@kspei.com> 0:1.11-0.fdr.1
- Specfile autogenerated.
